org.apache.commons.io.filefilter

## Class PrefixFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.AbstractFileFilter
  - - org.apache.commons.io.filefilter.PrefixFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class PrefixFileFilter
    extends AbstractFileFilter
    implements Serializable

Filters filenames for a certain prefix.

For example, to print all files and directories in the current directory whose name starts with `Test`:

     File dir = new File(".");
     String[] files = dir.list( new PrefixFileFilter("Test") );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Since:
  1.0
Version:
  $Id$
See Also:
  `FileFilterUtils.prefixFileFilter(String)`, `FileFilterUtils.prefixFileFilter(String, IOCase)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PrefixFileFilter(List<String> prefixes)` Constructs a new Prefix file filter for a list of prefixes.
`PrefixFileFilter(List<String> prefixes, IOCase caseSensitivity)` Constructs a new Prefix file filter for a list of prefixes specifying case-sensitivity.
`PrefixFileFilter(String prefix)` Constructs a new Prefix file filter for a single prefix.
`PrefixFileFilter(String[] prefixes)` Constructs a new Prefix file filter for any of an array of prefixes.
`PrefixFileFilter(String[] prefixes, IOCase caseSensitivity)` Constructs a new Prefix file filter for any of an array of prefixes specifying case-sensitivity.
`PrefixFileFilter(String prefix, IOCase caseSensitivity)` Constructs a new Prefix file filter for a single prefix specifying case-sensitivity.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept(File file)` Checks to see if the filename starts with the prefix.
`boolean` `accept(File file, String name)` Checks to see if the filename starts with the prefix.
`String` `toString()` Provide a String representation of this file filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrefixFileFilter

    public PrefixFileFilter(String prefix)

Constructs a new Prefix file filter for a single prefix.

Parameters:
  `prefix` - the prefix to allow, must not be null
Throws:
  `IllegalArgumentException` - if the prefix is null

#### PrefixFileFilter

    public PrefixFileFilter(String prefix,
                            IOCase caseSensitivity)

Constructs a new Prefix file filter for a single prefix specifying case-sensitivity.

Parameters:
  `prefix` - the prefix to allow, must not be null
  `caseSensitivity` - how to handle case sensitivity, null means case-sensitive
Throws:
  `IllegalArgumentException` - if the prefix is null
Since:
  1.4

#### PrefixFileFilter

    public PrefixFileFilter(String[] prefixes)

Constructs a new Prefix file filter for any of an array of prefixes.

The array is not cloned, so could be changed after constructing the instance. This would be inadvisable however.

Parameters:
  `prefixes` - the prefixes to allow, must not be null
Throws:
  `IllegalArgumentException` - if the prefix array is null

#### PrefixFileFilter

    public PrefixFileFilter(String[] prefixes,
                            IOCase caseSensitivity)

Constructs a new Prefix file filter for any of an array of prefixes specifying case-sensitivity.

Parameters:
  `prefixes` - the prefixes to allow, must not be null
  `caseSensitivity` - how to handle case sensitivity, null means case-sensitive
Throws:
  `IllegalArgumentException` - if the prefix is null
Since:
  1.4

#### PrefixFileFilter

    public PrefixFileFilter(List<String> prefixes)

Constructs a new Prefix file filter for a list of prefixes.

Parameters:
  `prefixes` - the prefixes to allow, must not be null
Throws:
  `IllegalArgumentException` - if the prefix list is null
  `ClassCastException` - if the list does not contain Strings

#### PrefixFileFilter

    public PrefixFileFilter(List<String> prefixes,
                            IOCase caseSensitivity)

Constructs a new Prefix file filter for a list of prefixes specifying case-sensitivity.

Parameters:
  `prefixes` - the prefixes to allow, must not be null
  `caseSensitivity` - how to handle case sensitivity, null means case-sensitive
Throws:
  `IllegalArgumentException` - if the prefix list is null
  `ClassCastException` - if the list does not contain Strings
Since:
  1.4

### Method Detail

#### accept

    public boolean accept(File file)

Checks to see if the filename starts with the prefix.

Specified by:
  `accept` in interface `FileFilter`
Specified by:
  `accept` in interface `IOFileFilter`
Overrides:
  `accept` in class `AbstractFileFilter`
Parameters:
  `file` - the File to check
Returns:
  true if the filename starts with one of our prefixes

#### accept

    public boolean accept(File file,
                          String name)

Checks to see if the filename starts with the prefix.

Specified by:
  `accept` in interface `FilenameFilter`
Specified by:
  `accept` in interface `IOFileFilter`
Overrides:
  `accept` in class `AbstractFileFilter`
Parameters:
  `file` - the File directory
  `name` - the filename
Returns:
  true if the filename starts with one of our prefixes

#### toString

    public String toString()

Provide a String representation of this file filter.

Overrides:
  `toString` in class `AbstractFileFilter`
Returns:
  a String representation